>From da402246b5384ca6b1b887fb25aa39f1fae16f41 Mon Sep 17 00:00:00 2001
From: Kamil Baldyga <kbaldyga@gmail.com>
Date: Sat, 30 Jan 2010 21:01:08 +0100
Subject: [PATCH] Ticket 3234 autodetect subtitles

---
 src/input/subtitles.c |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

diff --git a/src/input/subtitles.c b/src/input/subtitles.c
index 01aeda5..9331749 100644
--- a/src/input/subtitles.c
+++ b/src/input/subtitles.c
@@ -265,9 +265,18 @@ char **subtitles_Detect( input_thread_t *p_this, char *psz_path,
     if( !strncmp( psz_name_org, "file://", 7 ) )
     {
         psz_name_org += 7;
+#if defined( WIN32 ) && !defined( UNDER_CE )
+        psz_name_org ++ ;
+#endif
         if( !strncmp( psz_name_org, "localhost", 9 ) )
             psz_name_org += 9;
-    }
+    } 
+
+#if (DIR_SEP_CHAR != '/')
+        /* Turn slashes into anti-slashes */
+        for( char *s = strchr( psz_name_org, '/' ); s; s = strchr( s + 1, '/' ) )
+            *s = DIR_SEP_CHAR;
+#endif
     char *psz_fname = decode_URI_duplicate( psz_name_org );
     if( !psz_fname )
         return NULL;
-- 
1.6.5.1.1367.gcd48

